# Solana Architecture

- [Introduction](introduction.md)

- [Terminology](terminology.md)

- [Getting Started](getting-started.md)
  - [Example: Web Wallet](webwallet.md)

- [Programming Model](programs.md)
  - [Example: Tic-Tac-Toe](tictactoe.md)
  - [Drones](drones.md)

- [A Solana Cluster](cluster.md)
  - [Synchronization](synchronization.md)
  - [Leader Rotation](leader-rotation.md)
  - [Fork Generation](fork-generation.md)
  - [Managing Forks](managing-forks.md)
  - [Data Plane Fanout](data-plane-fanout.md)
  - [Ledger Replication](ledger-replication.md)
  - [Secure Vote Signing](vote-signing.md)
  - [Staking Delegation and Rewards](stake-delegation-and-rewards.md)

- [Anatomy of a Fullnode](fullnode.md)
  - [TPU](tpu.md)
  - [TVU](tvu.md)
    - [Blocktree](blocktree.md)
  - [Gossip Service](gossip.md)
  - [The Runtime](runtime.md)

- [API Reference](api-reference.md)
  - [Blockstreamer](blockstreamer.md)
  - [JSON RPC API](jsonrpc-api.md)
  - [JavaScript API](javascript-api.md)
  - [solana-wallet CLI](wallet.md)

