# Solana Design Proposals

- [Accepted Design Proposals](proposals.md)
  - [Ledger Replication](ledger-replication-to-implement.md)
  - [Secure Vote Signing](vote-signing-to-implement.md)
  - [Staking Rewards](staking-rewards.md)
  - [Passive Stake Delegation and Rewards](passive-stake-delegation-and-rewards.md)
  - [Fork Selection](fork-selection.md)
  - [Reliable Vote Transmission](reliable-vote-transmission.md)
  - [Persistent Account Storage](persistent-account-storage.md)
  - [Cluster Economics](ed_overview.md)
    - [Validation-client Economics](ed_validation_client_economics.md)
      - [State-validation Protocol-based Rewards](ed_vce_state_validation_protocol_based_rewards.md)
      - [State-validation Transaction Fees](ed_vce_state_validation_transaction_fees.md)
      - [Replication-validation Transaction Fees](ed_vce_replication_validation_transaction_fees.md)
      - [Validation Stake Delegation](ed_vce_validation_stake_delegation.md)
    - [Replication-client Economics](ed_replication_client_economics.md)
      - [Storage-replication Rewards](ed_rce_storage_replication_rewards.md)
      - [Replication-client Reward Auto-delegation](ed_rce_replication_client_reward_auto_delegation.md)
    - [Economic Sustainability](ed_economic_sustainability.md)
    - [Attack Vectors](ed_attack_vectors.md)
	- [Economic Design MVP](ed_mvp.md)
    - [References](ed_references.md)
  - [Cluster Test Framework](cluster-test-framework.md)
  - [Testing Programs](testing-programs.md)
  - [Cluster Software Installation and Updates](installer.md)

- [Implemented Design Proposals](implemented-proposals.md)
  - [Leader-to-Leader Transition](leader-leader-transition.md)
  - [Leader-to-Validator Transition](leader-validator-transition.md)
